package com.adealink.weparty.module.playmate.data


/**
 * 年龄范围
 */
enum class PlaymateAgeRange(val code: Int) {
    UNLIMITED(-1),
    AGE_15_25(0),
    AGE_25_35(1),
    AGE_35(2);
}


/**
 * 年龄范围
 */
enum class PlaymateGenderRange(val code: Int) {
    UNLIMITED(-1), //无限制
    UNKNOWN(0), //位置
    MALE(1), //男
    FEMALE(2), //女
}


/**
 * 年龄范围
 */
enum class PlaymateSortByStar(val code: Int) {
    DEFAULT(-1), //默认
    ASC(0), //升序
    DESC(2); //降序
}


/**
 * 年龄范围
 */
enum class PlaymateSortByPrice(val code: Int) {
    DEFAULT(-1), //默认
    ASC(0), //升序
    DESC(2); //降序
}


/**
 * 年龄范围
 */
enum class PlaymatePriceRange(val code: Int) {
    UNLIMITED(-1),
    PRICE_0_1000(0),
    PRICE_1000_1500(1),
    PRICE_1500_2500(2),
    PRICE_2500_5000(3),
    PRICE_5000(4),
}
